require 'rails'

module ProductManagement
  class Engine < ::Rails::Engine
    isolate_namespace ProductManagement

    config.to_prepare do
      # Load concerns
      Dir.glob(::ProductManagement::Engine.root + "app/model/concerns/*.rb").each do |concern|
        require_dependency(concern)
      end
    end

    #config.autoload_paths << File.expand_path("../validators", __FILE__)

    config.generators do |g|
      g.test_framework :rspec, :fixture_replacement => :factory_girl, :views => false, :helper => true
      g.view_specs false
      g.helper_specs true
      g.fixture_replacement :factory_girl, :dir => 'spec/factories'
    end

    # Load translations from config/locales/*.rb,yml are auto loaded.
    config.i18n.load_path += Dir[File.join(File.dirname(__FILE__), '..', '..', 'config', 'locales', '**', '*.{rb,yml}').to_s]
  end
end
